<?php
/**
 * DiscountExternalTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\MarketingClient\Dto;
use \Ensi\MarketingClient\ObjectSerializer;

/**
 * DiscountExternalTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Типы скидок в чекауте (для пользователя):   * &#x60;1&#x60; - скидка \&quot;На товар\&quot;   * &#x60;2&#x60; - скидка \&quot;На доставку\&quot;   * &#x60;3&#x60; - скидка \&quot;На корзину\&quot;   * &#x60;4&#x60; - скидка \&quot;Для Вас\&quot;   * &#x60;5&#x60; - скидка \&quot;По промокоду\&quot;
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DiscountExternalTypeEnum
{
    /**
     * Possible values of this enum
     */
    const EXT_TYPE_OFFER = 1;
    const EXT_TYPE_DELIVERY = 2;
    const EXT_TYPE_CART = 3;
    const EXT_TYPE_PERSONAL = 4;
    const EXT_TYPE_PROMO = 5;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::EXT_TYPE_OFFER,
            self::EXT_TYPE_DELIVERY,
            self::EXT_TYPE_CART,
            self::EXT_TYPE_PERSONAL,
            self::EXT_TYPE_PROMO,
        ];
    }
}


